Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.property
Class DateCombo2.MyDateChooser

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      de.jaret.util.ui.datechooser.DateChooser
                          hibergui.property.DateCombo2.MyDateChooser

All Implemented Interfaces:
  de.jaret.util.ui.datechooser.DateChooserListener, java.util.EventListener, org.eclipse.swt.events.FocusListener, org.eclipse.swt.graphics.Drawable, org.eclipse.swt.internal.SWTEventListener

Enclosing class:
  DateCombo2

    private static class DateCombo2.MyDateChooser

extends de.jaret.util.ui.datechooser.DateChooser

Field Summary

Fields inherited from class de.jaret.util.ui.datechooser.DateChooser
`_chooserPanel, _date, _dateformat, _dropdownButton, _dropDownShell, _dropped, _editable, _holidayEnumerator, _invalidInputBehaviour, _locale, _textField, KEEP_AND_MARK, MARKER_COLOR, RESET_TO_LASTVALID, RESET_TO_NULL`

Fields inherited from class org.eclipse.swt.widgets.Composite
`embeddedHandle`

Fields inherited from class org.eclipse.swt.widgets.Widget
`handle`

Constructor Summary
`DateCombo2.MyDateChooser(org.eclipse.swt.widgets.Composite parent, int style)`

Method Summary
`(package private) java.lang.String` | `getText()`

Methods inherited from class de.jaret.util.ui.datechooser.DateChooser
`choosingCanceled, dateChosen, dateIntermediateChange, dispose, focusGained, focusLost, getDate, getDateChooserPanel, getInvalidInputBehaviour, isDropped, isEditable, isEnabled, isOneClickSelection, setDate, setDropped, setEditable, setEnabled, setHolidayEnumerator, setInvalidInputBehaviour, setOneClickSelection`

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, checkSubclass, computeSize, getBackgroundMode, getChildren, getClientArea, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getBorderWidth, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addDragDetectListener, addFocusListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateCombo2.MyDateChooser

    public DateCombo2.MyDateChooser(org.eclipse.swt.widgets.Composite parent,
                                    int style)

Method Detail

### getText

    java.lang.String getText()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD